
TYPO3.Flow - Bug # 32959

Status: Resolved Priority: Should have
Author: MKI-Miro Category: Security
Created: 2012-01-04 Assigned To: Andreas Förthner
Updated: 2012-05-18 Due date:
PHP Version: 5.3
Has patch: No
Complexity:
Affected Flow version: FLOW3 1.0.2
Subject: Exception thrown on missing role definition
Description

Notice: Undefined index: Visitor in
C:\f3cache\Development\Cache\Code\FLOW3_Object_Classes\TYPO3_FLOW3_Security_Policy_PolicyService_Original.php line 296
39 TYPO3\FLOW3\Error\ErrorHandler::handleError(8, "Undefined index: Visitor",
"C:\f3cache\Development\Cache\Code\FLOW3_Object_Cla…3_FLOW3_Security_Policy_PolicyService_Original.php", 296, array)

38 TYPO3\FLOW3\Security\Policy\PolicyService_Original::getAllParentRoles(TYPO3\FLOW3\Security\Policy\Role)

37 TYPO3\FLOW3\Security\Context_Original::getRoles()

36 TYPO3\FLOW3\Security\Context::getRoles()

35 call_user_func_array(array, array)

34 TYPO3\FLOW3\Security\Context::FLOW3_AOP_Proxy_invokeJoinPoint(TYPO3\FLOW3\AOP\JoinPoint)

33 TYPO3\FLOW3\AOP\Advice\AdviceChain_Original::proceed(TYPO3\FLOW3\AOP\JoinPoint)

32
TYPO3\FLOW3\Session\Aspect\LazyLoadingAspect_Original::callMethodOnOriginalSessionObject(TYPO3\FLOW3\AOP\JoinPoint)

31 TYPO3\FLOW3\AOP\Advice\AroundAdvice_Original::invoke(TYPO3\FLOW3\AOP\JoinPoint)

30 TYPO3\FLOW3\AOP\Advice\AdviceChain_Original::proceed(TYPO3\FLOW3\AOP\JoinPoint)

29 TYPO3\FLOW3\Security\Context::getRoles()

28 call_user_func_array(array, array)

27
TYPO3\FLOW3\Session\Aspect\LazyLoadingAspect_Original::callMethodOnOriginalSessionObject(TYPO3\FLOW3\AOP\JoinPoint)

26 TYPO3\FLOW3\AOP\Advice\AroundAdvice_Original::invoke(TYPO3\FLOW3\AOP\JoinPoint)

25 TYPO3\FLOW3\AOP\Advice\AdviceChain_Original::proceed(TYPO3\FLOW3\AOP\JoinPoint)

24 TYPO3\FLOW3\Security\Context::getRoles()

23 TYPO3\FLOW3\Security\Aspect\PersistenceQueryRewritingAspect_Original::rewriteQomQuery(TYPO3\FLOW3\AOP\JoinPoint)
22 TYPO3\FLOW3\AOP\Advice\AbstractAdvice_Original::invoke(TYPO3\FLOW3\AOP\JoinPoint)

21 TYPO3\FLOW3\Persistence\Doctrine\Query::execute()

20 TYPO3\FLOW3\Persistence\Repository_Original::findAll()

19 Intranet\RealityTerasa\Controller\FlatController_Original::indexAction()

18 call_user_func_array(array, array)

17 TYPO3\FLOW3\MVC\Controller\ActionController_Original::callActionMethod()

16 TYPO3\FLOW3\MVC\Controller\ActionController_Original::processRequest(TYPO3\FLOW3\MVC\Web\Request,
TYPO3\FLOW3\MVC\Web\Response)

15 TYPO3\FLOW3\MVC\Dispatcher_Original::dispatch(TYPO3\FLOW3\MVC\Web\Request, TYPO3\FLOW3\MVC\Web\Response)

14 TYPO3\FLOW3\MVC\Dispatcher::dispatch(TYPO3\FLOW3\MVC\Web\Request, TYPO3\FLOW3\MVC\Web\Response)

13 call_user_func_array(array, array)

12 TYPO3\FLOW3\MVC\Dispatcher::FLOW3_AOP_Proxy_invokeJoinPoint(TYPO3\FLOW3\AOP\JoinPoint)

11 TYPO3\FLOW3\AOP\Advice\AdviceChain_Original::proceed(TYPO3\FLOW3\AOP\JoinPoint)

10
TYPO3\FLOW3\Security\Aspect\RequestDispatchingAspect_Original::setAccessDeniedResponseHeader(TYPO3\FLOW3\AOP\JoinPoi
oint)

9 TYPO3\FLOW3\AOP\Advice\AroundAdvice_Original::invoke(TYPO3\FLOW3\AOP\JoinPoint)

8 TYPO3\FLOW3\AOP\Advice\AdviceChain_Original::proceed(TYPO3\FLOW3\AOP\JoinPoint)

7
TYPO3\FLOW3\Security\Aspect\RequestDispatchingAspect_Original::blockIllegalRequestsAndForwardToAuthenticationEntryPoints(TY
YPO3\FLOW3\AOP\JoinPoint)

6 TYPO3\FLOW3\AOP\Advice\AroundAdvice_Original::invoke(TYPO3\FLOW3\AOP\JoinPoint)

5 TYPO3\FLOW3\AOP\Advice\AdviceChain_Original::proceed(TYPO3\FLOW3\AOP\JoinPoint)

4 TYPO3\FLOW3\MVC\Dispatcher::dispatch(TYPO3\FLOW3\MVC\Web\Request, TYPO3\FLOW3\MVC\Web\Response)

3 TYPO3\FLOW3\MVC\Web\RequestHandler_Original::handleRequest()

2 TYPO3\FLOW3\Core\Bootstrap::handleWebRequest()

1 TYPO3\FLOW3\Core\Bootstrap::run()

Please include more helpful information!

History
#1 - 2012-02-29 11:20 - Karsten Dambekalns
- Category changed from - Error Handler Report - to Security
- Assigned To set to Andreas Förthner
- Target version changed from 1.0.3 to 1.0.4

Andi, I think some better error checking would be helpful here, to detect missing/wrong role names.

#2 - 2012-03-07 15:46 - Karsten Dambekalns
- Subject changed from TYPO3\FLOW3\Error\Exception thrown in file ErrorHandler.php to Exception thrown on missing role definition

#3 - 2012-04-18 22:49 - Karsten Dambekalns
- Target version changed from 1.0.4 to 1.0.5

#4 - 2012-05-18 18:59 - Andreas Förthner
- Status changed from New to Resolved

This is fixed by: https://review.typo3.org/#/c/10104/
